@extends('adminlte::layouts.app')

@section('htmlheader_title')
    {{ trans('adminlte_lang::message.home') }}
@endsection

@section('main-content')
    <div class="container-fluid spark-screen">
        <div class="row">
            <div class="col-md-10 col-md-offset-1">
                <div class="panel panel-default">
                    <div id="app">

                            @if (count($errors) > 0)
                                <div class="alert alert-danger">
                                    <strong>Whoops!</strong> {{ trans('adminlte_lang::message.someproblems') }}<br><br>
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif

                            <div class="register-box-body">
                                <p class="login-box-msg">{{ trans('adminlte_lang::message.registermember') }}</p>
                                <form action="{{ url('admin') }}" method="post">
                                    <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                    <div class="form-group has-feedback">
                                        <input type="text" class="form-control" placeholder="{{ trans('adminlte_lang::message.fullname') }}" name="name" value="{{ old('name') }}"/>
                                        <span class="glyphicon glyphicon-user form-control-feedback"></span>
                                    </div>
                                    <div class="form-group has-feedback">
                                        <input type="text" class="form-control" placeholder="{{ trans('adminlte_lang::message.username') }}" name="username" value="{{ old('username') }}"/>
                                        <span class="glyphicon glyphicon-user form-control-feedback"></span>
                                    </div>
                                    <div class="form-group has-feedback">
                                        <input type="email" class="form-control" placeholder="{{ trans('adminlte_lang::message.email') }}" name="email" value="{{ old('email') }}"/>
                                        <span class="glyphicon glyphicon-envelope form-control-feedback"></span>
                                    </div>
                                    <div class="form-group has-feedback">
                                        <input type="password" class="form-control" placeholder="{{ trans('adminlte_lang::message.password') }}" name="password"/>
                                        <span class="glyphicon glyphicon-lock form-control-feedback"></span>
                                    </div>
                                    <div class="form-group has-feedback">
                                        <input type="password" class="form-control" placeholder="{{ trans('adminlte_lang::message.retrypepassword') }}" name="password_confirmation"/>
                                        <span class="glyphicon glyphicon-log-in form-control-feedback"></span>
                                    </div>
                                    <div class="form-group has-feedback">
                                        <input value="Owner"  type="text" class="form-control" placeholder="{{ trans('adminlte_lang::message.role') }}" name="role" disabled/>
                                        <span class="glyphicon glyphicon-wrench  form-control-feedback"></span>
                                    </div>
                                    <div class="row">
                                        <div class="col-xs-1">
                                            <label>
                                                <div class="checkbox_register icheck">
                                                    <label>
                                                        <input type="checkbox" name="terms">
                                                    </label>
                                                </div>
                                            </label>
                                        </div><!-- /.col -->
                                        <div class="col-xs-6">
                                            <div class="form-group">
                                                <button type="button" class="btn btn-block btn-flat" data-toggle="modal" data-target="#termsModal">{{ trans('adminlte_lang::message.terms') }}</button>
                                            </div>
                                        </div><!-- /.col -->
                                        <div class="col-xs-4 col-xs-push-1">
                                            <button type="submit" class="btn btn-primary btn-block btn-flat">{{ trans('adminlte_lang::message.register') }}</button>
                                        </div><!-- /.col -->
                                    </div>
                                </form>
                            </div><!-- /.form-box -->
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection